require 'test_helper'
require 'profile_controller'
require File.dirname(__FILE__) + '/../helpers/plugin_test_helper'

# Re-raise errors caught by the controller.
class ProfileController; def rescue_action(e) raise e end; end

class ProfileControllerTest < ActionController::TestCase
  include PluginTestHelper

  def setup
    Environment.default.enable('products_for_enterprises')
    @profile = create_person('testuser')
  end
  attr_reader :profile

  should 'not count a visit twice for the same user' do
    profile = create_person('someone')
    login_as(@profile.identifier)
    software = create_software_info("a software").software

    get :index, :profile => software.identifier
    software.reload
    assert_equal 1, software.hits

    get :index, :profile => software.identifier
    software.reload
    assert_equal 1, software.hits
  end

  should 'not count a visit twice for unlogged users' do
    profile = create_person('someone')
    software = create_software_info("a software").software

    get :index, :profile => software.identifier
    software.reload
    assert_equal 1, software.hits

    get :index, :profile => software.identifier
    software.reload
    assert_equal 1, software.hits
  end
end

