module PluginTestHelper

  def create_software name
    software = Software.new
    software.name = name
    software.identifier = name.to_slug
    software.save
    software
  end

  def create_software_info name, finality = "something", acronym = ""
    software = create_software(name)
    software_info = SoftwareInfo.new
    software_info.software = software
    software_info.finality = finality
    software_info.acronym = acronym
    software_info.public_software = true

    software.software_info = software_info
    software.save

    software_info
  end

  def create_person name, email="test@test.com", password='test', password_confirmation='test', state='df', city='gama'
    user = create_user(
      name.to_slug,
      email,
      password,
      password_confirmation,
    )
    person = Person::new

    user.person = person
    person.user = user

    person.name = name
    person.identifier = name.to_slug
    person.state = state
    person.city = city

    user.save
    person.save

    person
  end

  def create_user login, email="test@test.com", password='test', password_confirmation='test'
    user = User.new

    user.login = login
    user.email = email
    user.password = password
    user.password_confirmation = password_confirmation

    user
  end

  def create_license_info version, link = ""
    license = LicenseInfo.create(:version => version)
    license.link = link
    license.save

    license
  end
end
